Method: projects.locations.instances.addTokenAuthUser
Stay organized with collections
Save and categorize content based on your preferences.
Adds a token auth user for a token based auth enabled instance.
HTTP request
POST https://memorystore.googleapis.com/v1alpha/{instance=projects/*/locations/*/instances/*}:addTokenAuthUser
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters |
instance |
string
Required. The instance resource that this token auth user will be added for. Format: projects/{project}/locations/{location}/instances/{instance}
|
Request body
The request body contains data with the following structure:
| JSON representation |
{
"tokenAuthUser": string
} |
| Fields |
tokenAuthUser |
string
Required. The name of the token auth user to add.
|
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/memorystore.read-write
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-09-28 UTC.
[null,null,["Last updated 2026-09-28 UTC."],[],[]]